#
# * Примеры работы оператора цикла for. Функция enumerate
#

""" Подвиг 1. Вводится строка. Необходимо найти все индексы фрагмента "ра"
во введенной строке. Вывести в строку через пробелы найденные индексы.
Если этот фрагмент ни разу не будет найден, то вывести значение -1.
Sample Input:
Барабанщик бил бой в барабан
Sample Output:
2 23
"""




# s = input()
# if 'ра' not in s:
#     print(-1)
# else:
#     lra = [i for i, _ in enumerate(s) if s[i : i + 2] == 'ра']
#     print(' '.join(map(str, lra)))

"""
Подвиг 2. Вводится строка с номером телефона. Ожидается формат ввода:
+7(xxx)xxx-xx-xx
где x - это цифра. Размер введенных символов считается верным
(то есть, не может быть, чтобы отсутствовала какая-либо цифра или была лишняя).
Необходимо проверить, что введенная строка соответствует этому формату.
Вывести ДА, если соответствует и НЕТ - в противном случае.
Sample Input:
+7(123)456-78-99
Sample Output:
ДА
"""
# n = ['1', '2', '3', '4', '5', '6', '7', '8', '9', '0']
# phone = input()
# is_phone = True
# for i, c in enumerate(phone):
#     match i:
#         case 0:
#             if c != '+':
#                 is_phone = False
#                 break
#         case 1:
#             if c != '7':
#                 is_phone = False
#                 break
#         case 2:
#             if c != '(':
#                 is_phone = False
#                 break
#         case 6:
#             if c != ')':
#                 is_phone = False
#                 break
#         case 10 | 13:
#             if c != '-':
#                 is_phone = False
#                 break
#         case 3 | 4 | 5 | 7 | 8 | 9 | 11 | 12 | 14 | 15:
#             if c not in n:
#                 is_phone = False
#                 break
#         case _:
#             is_phone = False
#             break

# if is_phone:
#     print('ДА')
# else:
#     print('НЕТ')

'''
Большой подвиг 3. В виде строки записано арифметическое выражение, например:
"10 + 25 - 12" или "10 + 25 - 12 + 20 - 1 + 3"
и т. д. То есть, количество действий может быть разным.
Необходимо выполнить вычисление и результат отобразить на экране.
Полагается, что в качестве арифметических операций здесь используется только
сложение (+) и вычитание (-), а в качестве операндов - целые неотрицательные числа.
Следует учесть, что эти операторы могут быть записаны как с пробелами, так и без них.
Sample Input:
10+25 - 12
Sample Output:
23
'''

# ex = input()
# ex = ex.replace('+', ' + ')
# ex = ex.replace('-', ' - ')
# l = ex.split(' ')
# res = 0
# op =True

# for el in l:
#     if el == '':
#         continue
#     elif el == '+':
#         op = True
#     elif el == '-':
#         op = False
#     elif op:
#         res += int(el)
#     else:
#         res -= int(el)

# print(res)

"""
Подвиг 4. Вводится список в виде целых чисел в одну строку через пробел.
Необходимо сначала сформировать список на основе введенной строки,
а затем, каждое значение этого списка изменить, возведя в квадрат.
Отобразить результат на экране в виде строки полученных чисел,
записанных через пробел.
Программу следует реализовать с использованием функции enumerate.
Sample Input:
8 -11 4 3 6
Sample Output:
64 121 16 9 36
"""
# s  = list(map(int, input().split(' ')))
# for i, _ in enumerate(s):
#     s[i] *= s[i]
# print(' '.join(map(str, s)))

"""
Подвиг 5. Вводится список в виде целых чисел в одну строку через пробел.
Сначала нужно сформировать список из введенной строки. 
Затем, каждый элемент этого списка продублировать один раз.
Результат отобразить на экране в виде строки полученных чисел, записанных через пробел.
Sample Input:
8 11 2
Sample Output:
8 8 11 11 2 2
"""
# s = list(map(int, input().split(' ')))
# res = []
# for el in s:
#     res.extend((el, el))
# print(' '.join(map(str,res)))

"""
Подвиг 6. Вводится список в виде вещественных чисел в одну строку через пробел.
С помощью цикла for необходимо найти наименьшее значение в этом списке.
Полученный результат вывести на экран.
Реализовать программу без использования функции min, max и сортировки.
Sample Input:
8.6 9.11 -4.567 -10.0 1.45
Sample Output:
-10.0
"""

# s = list(map(float, input().split()))
# mn = s[0]
# for n in s:
#     if mn > n:
#         mn = n
# print(mn)

"""
Подвиг 7. Вводится список в виде вещественных чисел в одну строку через пробел.
Сначала нужно сформировать список из введенной строки.
Затем, все отрицательные значения в этом списке заменить на -1.0.
Результат вывести на экран в виде строки чисел через пробел.
Программу следует реализовать с использованием функции enumerate.
Sample Input:
-5.67 3.5 6.89 -3.0
Sample Output:
-1.0 3.5 6.89 -1.0
"""
s = list(map(float, input().split()))
for i, val in enumerate(s):
    if val < 0:
        s[i] = -1.0
print(' '.join(map(str,s)))